AC_DEFUN([AX_LIB_MOTIF],
[
        AC_CHECK_LIB([X11], [XTextWidth], [ax_have_x11="yes" && LIBS="-lX11 $LIBS"], [])
        AC_CHECK_LIB([Xt], [XtWindow], [ax_have_xt="yes" && LIBS="-lXt $LIBS"], [])
        AC_CHECK_LIB([ICE], [IceFlush], [ax_have_ice="yes" && LIBS="-lICE $LIBS"], [])
        AC_CHECK_LIB([Xm], [XmActivateProtocol], [ax_have_xm="yes" && LIBS="-lXm $LIBS"], [])
        if test -n $ax_have_x11 -a -n $ax_have_xt -a -n $ax_have_ice -a -n ax_have_xm; then
           AC_DEFINE(HAVE_MWAPI_MOTIF, 1, [Define if OSF/Motif libraries available for MWAPI])
           AC_CHECK_HEADERS(Xm/Xm.h)
           AC_CHECK_HEADERS(Xm/MainW.h)
           AC_CHECK_HEADERS(Xm/PushB.h)
        else
           echo "* * *  FATAL  * * *"
           echo " libX11, libXt, libICE, and libXm must be present in order to build MWAPI support."
           exit -1
        fi        
])
